| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Attributes

# JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy Class Reference

Inheritance diagram for JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy:
[legend]
Collaboration diagram for JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy:
[legend]

List of all members.

## Public Member Functions
| SkipWhileNotInStringStrategy (char selectionCharacter)
void | ExecutePrintyPrint (JsonPPStrategyContext context)
## Properties
char | ForWhichCharacter`[get]`
## Private Attributes
readonly char | _selectionCharacter

## Constructor & Destructor Documentation

JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy::SkipWhileNotInStringStrategy | ( | char | selectionCharacter | ) | `[inline]`

## Member Function Documentation

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy::ExecutePrintyPrint | ( | JsonPPStrategyContext | context | ) | `[inline]`

Implements JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::ICharacterStrategy.

## Member Data Documentation

readonly char JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy::_selectionCharacter`[private]`

## Property Documentation

char JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy::ForWhichCharacter`[get]`

Implements JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::ICharacterStrategy.

The documentation for this class was generated from the following file:

- SkipWhileNotInStringStrategy.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events